package com.efunbox.reader.activity;

import android.widget.ImageView;
import android.widget.TextView;

import com.efunbox.reader.R;
import com.efunbox.reader.annotation.BindView;
import com.efunbox.reader.base.BaseMvpActivity;
import com.efunbox.reader.contract.MainContract;
import com.efunbox.reader.presenter.MainPresenter;
import com.efunbox.reader.util.GlideUtils;

public class MainActivity extends BaseMvpActivity<MainPresenter> implements MainContract.View {


    @BindView(id = R.id.text_test)
    TextView mText;

    @BindView(id = R.id.image_test)
    ImageView mImage;


    @Override
    public int getLayoutId() {
        return R.layout.activity_main;
    }

    @Override
    public void initView() {
        mPresenter = new MainPresenter();
        mPresenter.attachView(this);
        mText.setText("测试一下bindview");
        GlideUtils.loadImageSizeKipMemoryCache(this, "https://gimg2.baidu.com/image_search/src=http%3A%2F%2Fpic1.zhimg.com%2F50%2Fv2-a96199f59f76eef6698e572c19944e40_hd.jpg&refer=http%3A%2F%2Fpic1.zhimg.com&app=2002&size=f9999,10000&q=a80&n=0&g=0n&fmt=jpeg?sec=1640338680&t=511cd171a44a99e646ce6063b751c78f", mImage);
    }

    @Override
    public void showLoading() {

    }

    @Override
    public void hideLoading() {

    }

    @Override
    public void onError(String errMessage) {

    }
}
